Xojo Conferences
XDCMay2019MiamiUSA
MBSOct2019CologneDE

« MBS Xojo Plugins, ver… | Home | Xojo 2018 Release 4 N… »

Upcoming changes for 2019


We are thinking about some changes for year 2019.

We may drop 32-bit support

DynaPDF just dropped the 32-bit Mac target by moving to Xcode 10, which simply doesn't support it any more. We still compile our plugin for 32-bit via Xcode 9, but that may not be forever. So eventually 32-bit will go away.

DynaPDF licensening

The DynaPDF licensing is set to change early 2019 a little bit. The license prices will change for DynaPDF 5. For existing customers, we suggest to order updates before the changes take effect. You can update with old pricing for up to 5 years now to secure the current pricing.

Another change is also coming. Currently you are not charged for skipped maintenance time, but that is set to change. Adding maintenance years will than start with the end of the existing maintenance period. If you bought a license in 2016 and didn't buy maintenance in 2017 and 2018, you may need to pay for two to three years in 2019 to get up to date.

Drop of Real Studio support?

If you want to get 64-bit support, HiDPI and DarkMode and make current apps for Mac App Store, you need the latest Xojo 2018 versions. Everything older will limit you except you need to support an older OS Version explicitly.

Anyone still needs new plugins for Real Studio?
Old plugins will stay available, but bug fixing may not be available or only as paid support.

Dropping everything before Xojo 2018 could remove a lot of legacy code for compatibility. It may be good to figure out which version to set as the new minimum. We already work on dropping Carbon GUI related classes and functions, all the QuickDraw and QuickTime code and maybe some more 32-bit only things. With next MacOS version, 32-bit support may be gone finally.

Someone needs Xojo before 2017 or 2018?

Drop of FileMaker support for versions older than v15

FileMaker 14 had end of live about 3 months ago. We only have a little percentage of customer still on those versions and when we drop 32-bit Mac target, we would effectively drop FileMaker 13 and older automatically. For FileMaker 14 we could keep 64-bit part supported, but is that needed?

Dropping older versions could remove a ton of old compatibly code and make the plugin a bit smaller. This may include dropping functions only related to older FileMaker versions. We could assume SDK version starting with 15 or 16 and not have code branches for older versions.

For FileMaker iOS SDK, we hope for an December update to help getting our plugins in the App Store. That may be a tempting reason to simply drop support for older SDKs as we expect everyone to use the latest there.

Anyone still needs new plugins for FileMaker before 15?

If you are sill on FileMaker 14, please consider using the Buy One, Give One promotion with FileMaker to get up to date with FileMaker 17 licenses.

You can get three server and three client licenses, FileMaker iOS SDK, data migration tool and pre-release software with FileMaker Developer Subscription for internal testing for just $99 per year.

Compiler Change for Windows

On Windows we stayed long with an older Visual Studio version for compatibility of the plugins for Windows XP. But next year, we could make the switch to current Visual Studio and build them with Windows 8.1 SDK and compatibility set to Windows 7 SP1. We would want to have the same runtime libraries required as used in Xojo and FileMaker, so we drop the static runtime library and use the runtime DLLs. This reduces plugin size on Windows. We could of course just go with Windows 8.1 or even Windows 10 as minimum.

Does someone need Windows 7 or 8 supported?

Compiler Changes for Linux

For Linux, we still compile with older Ubuntu versions, which get older. We may move to a newer Linux to build plugins. What minimum do you need? Problem used always to be which libc version to require.

Currently, we required GLibC 2.7 (October 2007) for Linux 32-bit on ARM or Intel, GLibC 2.15 (March 2012) for Linux 64-bit.

Reminder for adding maintenance

It's December, so all licenses which expired in December 2017 have the last change to be renewed for 2019.
All licenses expired before December 2017 are not eligible and so users need to buy new licenses if they need something new.
10 12 18 - 10:27
four comments

Hi Christian, we still have lots of customers who use our app on Windows 7 so maintaining support for Windows 7 and onwards is important to us.
Tom Catchesides - 10 12 18 - 10:40

Hi Christian,

my main application is used in a hospital setting, Windows 7 is standard, no Windows 10 in use.

Currently I am stuck with Xojo 2016R3 due to a dependency on an older Einhugur plugin, but working on replacing the plugin.

Arndt
Arndt Weinmann - 10 12 18 - 10:51

Please don’t stop support for Windows 7 as we still use it.
Sunil Abraham - 10 12 18 - 12:35

Don’t waste time on old stuff. Leave 32bit asap.
Pat - 10 12 18 - 18:57


  
Remember personal info?

Emoticons / Textile


Notify:
Hide email:

Small print: All html tags except <b> and <i> will be removed from your comment. You can make links by just typing the url or mail-address.